Bug 1120552 - Review Request: ghc-websockets - A sensible and clean way to write WebSocket-capable servers in Haskell
Summary: Review Request: ghc-websockets - A sensible and clean way to write WebSocket-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 07:10 UTC by Jens Petersen
Modified: 2019-06-11 02:41 UTC (History)
4 users (show)

Fixed In Version: ghc-websockets-0.12.5.2-1.fc31
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 02:41:15 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2014-07-17 07:10:55 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-websockets.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-websockets-0.8.2.6-1.fc20.src.rpm

Description:
This library allows you to write WebSocket-capable servers.

See:
* The specification of the WebSocket protocol:
<http://www.whatwg.org/specs/web-socket-protocol/>
* The JavaScript API for dealing with WebSockets:
<http://www.w3.org/TR/websockets/>.

Comment 1 Jens Petersen 2014-07-17 07:10:57 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7155713

Comment 2 Jens Petersen 2014-07-17 07:21:11 UTC
http://packdeps.haskellers.com/reverse/websockets

Comment 3 Robert-André Mauchin 2018-01-09 19:06:48 UTC
If you bump the SPEC to 0.12.3.0, I'll review it.

Comment 5 Robert-André Mauchin 2019-04-05 09:25:06 UTC
 - Bump to 0.12.5.3

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 33 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ghc-websockets/review-ghc-
     websockets/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     websockets
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1290240 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-websockets-0.12.5.2-1.fc31.x86_64.rpm
          ghc-websockets-devel-0.12.5.2-1.fc31.x86_64.rpm
          ghc-websockets-0.12.5.2-1.fc31.src.rpm
ghc-websockets.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-websockets.x86_64: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-websockets.x86_64: W: spelling-error %description -l en_US jaspervdj -> jasper
ghc-websockets.x86_64: W: spelling-error %description -l en_US lhs -> ls, ohs, lbs
ghc-websockets.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-websockets.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-websockets.x86_64: W: spelling-error %description -l en_US whatwg -> what
ghc-websockets.x86_64: W: unstripped-binary-or-object /usr/lib64/libHSwebsockets-0.12.5.2-6Rvr4cIU6BTEJkbLdM5yYi-ghc8.4.4.so
ghc-websockets.x86_64: W: no-documentation
ghc-websockets.src: W: spelling-error %description -l en_US https -> HTTP
ghc-websockets.src: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-websockets.src: W: spelling-error %description -l en_US jaspervdj -> jasper
ghc-websockets.src: W: spelling-error %description -l en_US lhs -> ls, ohs, lbs
ghc-websockets.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-websockets.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-websockets.src: W: spelling-error %description -l en_US whatwg -> what
3 packages and 0 specfiles checked; 0 errors, 16 warnings.

Comment 6 Jens Petersen 2019-04-09 03:24:10 UTC
Thank you for reviewing

https://pagure.io/releng/fedora-scm-requests/issue/10952

Comment 7 Gwyn Ciesla 2019-04-09 13:41:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-websockets

Comment 9 Fedora Update System 2019-05-23 05:11:18 UTC
ghc-websockets-0.12.5.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a1ca8c512b

Comment 10 Fedora Update System 2019-05-23 18:58:55 UTC
ghc-websockets-0.12.5.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a1ca8c512b

Comment 11 Fedora Update System 2019-06-11 02:41:15 UTC
ghc-websockets-0.12.5.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.